Note della versione / Piwigo 2.9.4

bug fixes (including security)

2.9.4
Scarica Piwigo 2.9.4

Uscita il 13 Luglio 2018

md5sum

L'elenco delle principali modifiche è descritto nelle note della versione 2.9.0

Bug corretti

Problemi noti

lingue

Funzionalità aggiunte

Aggiornamento

Bug corretti

894 / Technical

Correzione errore di sintassi

891 / Security

I collegamenti a piwigo.org devono essere in HTTPS

890 / Security

Contenuti misti HTTP / HTTPS nella pagina [Admin > Foto > Aggiungi > Applicazioni]

889 / Technical

Aggiornamento di Smarty per PHP 7.2

888 / Technical

Aggiornamento di Cssmin per PHP 7.2

887 / Technical

PHP 7.2, avviso sulla gestione degli utenti

877 / Users & Groups

Potenziale conflitto nel campo website_url con una tabella utente di terze parti

872 / Security

CVE-2018-7724

853 / Technical

Piwigo 2.9.3 rompe il plugin Colored Tags

847 / Security

CVE-2018-5692

844 / Visualizzazione

Link mancante nel breadcrumb per gli album recenti

834 / Technical

Compatibilità PHP 7.2

748 / Security

Elenco degli utenti inaccessibile

596 / Technical

PHP 7.1 e template.class.php incompatibile

258 / Photos

[album] gestione batch e filtro su album cancellato

Problemi noti

897 / Technical

[2.9.4] T_FUNCTION imprevisto in functions_mysqli.inc.php sulla riga 403

902 / Users & Groups

[2.9.4] users list no longer paginated or filtered

lingue

Lingue aggiornate

Danese (Dansk)

Greco (Ελληνικά)

Esperanto

Estone (eesti)

Persiano (فارسی)

Finlandese (suomi)

Quebecchese (Québecois)

Ebraico (עברית)

Ungherese (Magyar)

Giapponese (日本語)

Lituano (Lietuvių)

Olandese (Nederlands)

Polacco (Polski)

Portoghese (Português)

Rumeno (Română)

Turco (Türkçe)

Vietnamita (Tiếng Việt)

Aggiornamento

Raccomandiamo l'aggiornamento automatico. Se usi la versione 2.2+, Piwigo ti dirà quali plugin non sono ancora compatibili con la versione 2.9.

Se stai utilizzando Piwigo 2.9.x, puoi scaricare l'archivio 2.9.x_to_2.9.4.zip che contiene solo file nuovi o modificati. Una volta estratti i file, caricali tramite FTP sul tuo sito sulla tua installazione 2.9.x. Il tuo database non ha bisogno di un aggiornamento.

Se stai utilizzando una versione precedente a 2.9 e non vuoi approfittare dell'aggiornamento automatico, segui l'aggiornamento manuale.